Bug 1316091 - [abrt] gnome-shell: __memcpy_sse2_unaligned(): gnome-shell killed by SIGBUS
[abrt] gnome-shell: __memcpy_sse2_unaligned(): gnome-shell killed by SIGBUS
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:47ce706d49b8bd48070becd0e32...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 06:50 EST by Alan Jenkins
Modified: 2016-12-20 15:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:20:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.19 KB, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: cgroup (200 bytes, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: core_backtrace (6.23 KB, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: dso_list (25.46 KB, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: environ (1.60 KB, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: exploitable (82 bytes, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: maps (101.79 KB, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: mountinfo (4.32 KB, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: open_fds (3.63 KB, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: var_log_messages (843 bytes, text/plain)
2016-03-09 06:50 EST, Alan Jenkins
no flags Details
File: backtrace (46.30 KB, text/plain)
2016-03-09 07:17 EST, Alan Jenkins
no flags Details

  None (edit)
Description Alan Jenkins 2016-03-09 06:50:02 EST
Description of problem:
ABRT suggested I provide more details for this crash:

Gnome shell is very often crashing on login.  Sometimes once.  Sometimes more than once, then I get a sad message telling me logging in is not going to happen today.

ABRT says first occurence was 2016-02-28.  Unfortunately I've only had this system since Christmas, but I don't remember the system suffering from it initially.

I made notes claiming this is kernel-dependent and kernel 4.3.4 was good. The dates match up, but now I'm not so sure what caused it.  It might also be caused by a different package which was upgraded at the same time.

Hardware: Intel NUC model 5CPYH.  (Atom-class CPU, Braswell N3050)

Version-Release number of selected component:
gnome-shell-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
crash_function: __memcpy_sse2_unaligned
executable:     /usr/bin/gnome-shell
global_pid:     4442
kernel:         4.4.2-301.fc23.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __memcpy_sse2_unaligned at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:118
 #1 memcpy at /usr/include/bits/string3.h:53
 #2 _mesa_memcpy_texture at main/texstore.c:126
 #3 _mesa_texstore_memcpy at main/texstore.c:902
 #4 _mesa_texstore at main/texstore.c:919
 #5 store_texsubimage at main/texstore.c:1078
 #6 _mesa_store_teximage at main/texstore.c:1125
 #7 teximage at main/teximage.c:2966
 #8 _mesa_TexImage2D at main/teximage.c:3005
 #9 _cogl_texture_driver_upload_subregion_to_gl at driver/gl/gl/cogl-texture-driver-gl.c:255
Comment 1 Alan Jenkins 2016-03-09 06:50:08 EST
Created attachment 1134471 [details]
File: backtrace
Comment 2 Alan Jenkins 2016-03-09 06:50:09 EST
Created attachment 1134472 [details]
File: cgroup
Comment 3 Alan Jenkins 2016-03-09 06:50:10 EST
Created attachment 1134473 [details]
File: core_backtrace
Comment 4 Alan Jenkins 2016-03-09 06:50:12 EST
Created attachment 1134474 [details]
File: dso_list
Comment 5 Alan Jenkins 2016-03-09 06:50:13 EST
Created attachment 1134475 [details]
File: environ
Comment 6 Alan Jenkins 2016-03-09 06:50:15 EST
Created attachment 1134476 [details]
File: exploitable
Comment 7 Alan Jenkins 2016-03-09 06:50:16 EST
Created attachment 1134477 [details]
File: limits
Comment 8 Alan Jenkins 2016-03-09 06:50:19 EST
Created attachment 1134478 [details]
File: maps
Comment 9 Alan Jenkins 2016-03-09 06:50:20 EST
Created attachment 1134479 [details]
File: mountinfo
Comment 10 Alan Jenkins 2016-03-09 06:50:22 EST
Created attachment 1134480 [details]
File: namespaces
Comment 11 Alan Jenkins 2016-03-09 06:50:23 EST
Created attachment 1134481 [details]
File: open_fds
Comment 12 Alan Jenkins 2016-03-09 06:50:24 EST
Created attachment 1134482 [details]
File: proc_pid_status
Comment 13 Alan Jenkins 2016-03-09 06:50:26 EST
Created attachment 1134483 [details]
File: var_log_messages
Comment 14 Alan Jenkins 2016-03-09 07:17:30 EST
Similar problem has been detected:

ABRT suggested I provide more details for this crash:

Gnome shell is very often crashing on login.  Sometimes once.  Sometimes more than once, then I get a sad message telling me logging in is not going to happen today.

ABRT says first occurence was 2016-02-28.  Unfortunately I've only had this system since Christmas, but I don't remember the system suffering from it initially.

I made notes claiming this is kernel-dependent and kernel 4.3.4 was good. The dates match up, but now I'm not so sure what caused it.  It might also be caused by a different package which was upgraded at the same time.

Hardware: Intel NUC model 5CPYH.  (Atom-class CPU, Braswell N3050)

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: __memcpy_sse2_unaligned
executable:     /usr/bin/gnome-shell
global_pid:     1908
kernel:         4.5.0-0.rc6.git3.1.vanilla.knurd.1.fc23.x86_64
package:        gnome-shell-3.18.4-1.fc23
reason:         gnome-shell killed by SIGBUS
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Alan Jenkins 2016-03-09 07:17:33 EST
Created attachment 1134493 [details]
File: backtrace
Comment 16 Fedora End Of Life 2016-11-24 10:59:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 14:20:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 18 Alan Jenkins 2016-12-20 15:11:50 EST
Fedora 25 seems to be much more usable on the same hardware.  I still have some crashes (particularly on multiple fast VT switches), but I'm not in a situation where it crashes at login anymore.

Whatever the reason, I'm very pleased.  I was worried the discontinued low-power Atom line would be forgotten before it got fixed.  Hopefully it'll stay fixed :).

Note You need to log in before you can comment on or make changes to this bug.